org.apache.ignite.internal.util.typedef

## Interface P2<T1,T2>

Type Parameters:
  `T1` - Type of the first free variable, i.e. the element the closure is called on.
  `T2` - Type of the second free variable, i.e. the element the closure is called on.

All Superinterfaces:
  IgniteBiPredicate<T1,T2>, Serializable

    public interface P2<T1,T2>
    extends IgniteBiPredicate<T1,T2>

Defines `alias` for `IgniteBiPredicate` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgniteBiPredicate`.

See Also:
  `GridFunc`, `IgniteBiPredicate`

### Method Summary

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`apply`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015